Bug 1895141 - panic in service-ca injector
Summary: panic in service-ca injector
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: service-ca
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: David Eads
QA Contact: scheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-05 21:18 UTC by David Eads
Modified: 2021-02-24 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:31:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift service-ca-operator pull 129 0 None closed bug 1895141: prevent panics in service-ca injectors 2020-11-16 15:40:45 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:31:54 UTC

Description David Eads 2020-11-05 21:18:04 UTC
found in https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_kubernetes/439/pull-ci-openshift-kubernetes-master-e2e-aws-serial/1324410771710414848

pods/openshift-service-ca_service-ca-f6648f79c-njtvk_service-ca-controller.log.gz:E1105 18:57:43.049342       1 runtime.go:78] Observed a panic: &runtime.TypeAssertionError{_interface:(*runtime._type)(nil), concrete:(*runtime._type)(0x1fe42c0), asserted:(*runtime._type)(0x214bf80), missingMethod:"GetAnnotations"} (interface conversion: cache.DeletedFinalStateUnknown is not v1.Object: missing method GetAnnotations)

Comment 5 errata-xmlrpc 2021-02-24 15:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.